Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.asn1.cmc
Class PKIResponse

    java.lang.Object
      org.bouncycastle.asn1.ASN1Object
          org.bouncycastle.asn1.cmc.PKIResponse

All Implemented Interfaces:
  ASN1Encodable, Encodable

public class PKIResponse
extends ASN1Object

-- This defines the response message in the protocol id-cct-PKIResponse OBJECT IDENTIFIER ::= { id-cct 3 } ResponseBody ::= PKIResponse PKIResponse ::= SEQUENCE { controlSequence SEQUENCE SIZE(0..MAX) OF TaggedAttribute, cmsSequence SEQUENCE SIZE(0..MAX) OF TaggedContentInfo, otherMsgSequence SEQUENCE SIZE(0..MAX) OF OtherMsg }

Field Summary
`static TaggedContentInfo[]` | `EMPTY_CMS_SEQUENCE`
`static OtherMsg[]` | `EMPTY_OTHER_MSG`

Constructor Summary
`PKIResponse(TaggedAttribute controlSequence)`
`PKIResponse(TaggedAttribute[] controlSequence, TaggedContentInfo[] cmsSequence, OtherMsg[] otherMsgSequence)`

Method Summary
`ASN1Sequence` | `getCmsSequence()`
`ASN1Sequence` | `getControlSequence()`
`static PKIResponse` | `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static PKIResponse` | `getInstance(java.lang.Object o)`
`ASN1Sequence` | `getOtherMsgSequence()`
`ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

Methods inherited from class org.bouncycastle.asn1.ASN1Object
`encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### EMPTY_CMS_SEQUENCE

    public static final TaggedContentInfo[] EMPTY_CMS_SEQUENCE

### EMPTY_OTHER_MSG

    public static final OtherMsg[] EMPTY_OTHER_MSG

Constructor Detail

### PKIResponse

    public PKIResponse(TaggedAttribute controlSequence)

### PKIResponse

    public PKIResponse(TaggedAttribute[] controlSequence,
                       TaggedContentInfo[] cmsSequence,
                       OtherMsg[] otherMsgSequence)

Method Detail

### getInstance

    public static PKIResponse getInstance(java.lang.Object o)

### getInstance

    public static PKIResponse getInstance(ASN1TaggedObject obj,
                                          boolean explicit)

### toASN1Primitive

    public ASN1Primitive toASN1Primitive()

  Description copied from class: `ASN1Object`
  Method providing a primitive representation of this object suitable for encoding.

  Specified by:
    `toASN1Primitive` in interface `ASN1Encodable`
  Specified by:
    `toASN1Primitive` in class `ASN1Object`
  Returns:
    a primitive representation of this object.

### getControlSequence

    public ASN1Sequence getControlSequence()

### getCmsSequence

    public ASN1Sequence getCmsSequence()

### getOtherMsgSequence

    public ASN1Sequence getOtherMsgSequence()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography Library 1.85
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD